<!DOCTYPE html>
<html lang="en">
<head>
  <%- include('partials/head.ejs'); -%>
</head>
<body>
<%
var password = "";
var confirmPassword = "";
%>
<div class="container bg-3 text-center">
  <div class="row">
    <span class="logo reborn-logo"><img src="/logo/logo-update.png" title="Reborn"/></span>
  </div>
  <h3><%= page %></h3><br>
  <div class="row text-center">
    <% if(user == "Invalid or expired link"){ %>
      <div class="row">
        <div class="col-sm-6 col-sm-offset-3">
          <div class="row">
            <div class="col-sm-12">
              <div class="alert alert-danger">Invalid or Expired link.</div>
            </div>
          </div>
        </div>
      </div>
    <% }else{%>
        <div class="row">
          <div class="col-sm-6 col-sm-offset-3">
            <div class="row">
              <div class="col-sm-12">
                <% if(error){ %>
                  <div class="alert alert-danger"><%= error %></div>
                  <%
                  password = body.password
                  confirmPassword = body.confirmPassword
                  %>
              <% } %>
                <% if(user.status == "error"){ %>
                  <div class="alert alert-danger">
                    <%=
                     user.message
                    %>
                    <%
                    password = body.password
                    confirmPassword = body.confirmPassword
                    %>
                  </div>
              <% } %>
              <% if(user.status == "success"){ %>
                <div class="alert alert-success">
                  <%= user.message %>
                </div>
            <% } %>
              </div>
            </div>
            <form method="post" id="passwordForm">
              <label for="password1">Password</label>
              <input type="password" class="input-lg form-control" name="password" id="password1" placeholder="New Password" autocomplete="off" value=<%= password %>>
              <div class="row">
              </div>
              <label for="password2">Confirm Password</label>
              <input type="password" class="input-lg form-control" name="confirmPassword" id="password2" placeholder="Confirm Password" autocomplete="off" value=<%= confirmPassword %>>
              <div class="row">
              </div>
              <input type="submit" class="col-xs-12 btn btn-primary btn-load btn-lg" data-loading-text="Changing Password..." value="Change Password">
            </form>
          </div><!--/col-sm-6-->
        </div><!--/row-->
    <% } %>
  </div>
</div>
<%- include('partials/footer.ejs'); -%>
</body>
</html>
